library field;

import 'dart:html';


class ArrayBox {
    



}


//
///*
//
//         |     
//(||`|`(|\/|)()><  [[easy][array]input]
//       /         v1.0
//
//by Jeremy Schroeder
//for use with 'shuttle'
//
//
/////////////
//// public methods:
//
//populateArrayBox(array_box_element, json_array);
//disableArrayBoxEditing(array_box_element);
//enableArrayBoxEditing(array_box_element);
//
//
//// attributes
//'uuid' on div.dropZone
//'field' on div.dropZone
//
//// example
//<div class='arrayBox' field='tags' uuid='1234'><input></div>
//
//
// */
//
//
//
//
//
//// Populate an arrayBox
//
//function populateArrayBox(element, arr) {
//    if ($.isArray(arr)) {
//         arr.forEach(function(entry) {
//              if (entry == '...')
//                   $(element).find('input').val(entry);
//              else
//                   $('<div><img src="../../res/icons/times.svg"><span>' + entry + '</span></div>').insertBefore($(element).find('input'));     
//         })
//    } else if (arr.length > 0) {
//              $('<div><img src="../../res/icons/times.svg"><span>' + arr + '</span></div>').insertBefore($(element).find('input'));     
//    }
//
//    return $(element);
//}
//
//
//// Disable arrayBox entry deletion/input
//
//function disableArrayBoxEditing(element) {
//    $(element).find('img').each(function { $(this).css('display', 'none'); })
//    var i = $(element).find('input'); $(i).attr('old_width', $(i).css('width')); $(i).css('width', '0px'); $(i).addAttr('disabled');
//    return $(element);
//}
//
//
//// Enable arrayBox entry input (enabled by default)
//
//function enableArrayBoxEditing(element) {
//    $(element).find('img').each(function { $(this).css('display', 'inline-block'); })
//    var i = $(element).find('input'); $(i).css('width', $(i).attr('old_width')); $(i).removeAttr('disabled');
//    return $(element);
//}
//
//
//// arrayBox bindings for functionality
//$(document).ready(function() {
//
//    // When typing in the arrayBox
//
//    $('body').on('keyup', 'div.arrayBox>input', function(event) {
//         console.log('keypress' + event.keyCode);
//         if (event.keyCode == 13) {
//              $('<div><img src="../../res/icons/times.svg"><span>' + $(this).val() + '</span></div>').insertBefore($(this));
//              $(this).val('');
//
//         } else if (event.keyCode == 8 && $(this).val().length == 0) {
//              $(this).closest('div.arrayBox').find('div').last().remove();
//         }
//    });
//
//
//    // When clicking on the 'X' of an entry
//
//    $('body').on('click', 'div.arrayBox>div>img', function(event) {
//         console.log('click');
//         var aB = $(this).closest('div.arrayBox');
//         $(this).closest('div').remove();
//         // Build values
//         var values = [];
//         $(aB).find('span').each(function() {
//              values.push($(this).text());
//         });
//         // Send them to the shuttle
//         httpGet('../../change/', new Change().set(
//              $(aB).attr('uuid'), 
//              $(aB).attr('field'), 
//              JSON.stringify(values)).stringify());
//    });
//
//    // When double clicking an arrayBox entry
//
//    $('body').on('dblclick', 'div.arrayBox>div>span', function(event) {
//         console.log('click');
//         $(this).closest('div.arrayBox').find('input').val($(this).text());
//         $(this).closest('div.arrayBox').find('input').select();
//         $(this).closest('div').remove();
//    });
//
//
//    // When clicking off of the input portion of the arrayBox
//
//    $('body').on('blur', 'div.arrayBox>input', function(event) {
//         if ($(this).val().length > 0) {
//              $('<div><img src="../../res/icons/times.svg"><span>' + $(this).val() + '</span></div>').insertBefore($(this));
//              $(this).val('');
//         }
//
//         // Build values
//         var values = [];
//         $(this).closest('div.arrayBox').find('span').each(function() {
//               values.push($(this).text());
//         });
//
//         // Send them to the shuttle
//         httpGet('../../change/', new Change().set(
//              $(this).closest('div.arrayBox').attr('uuid'), 
//              $(this).closest('div.arrayBox').attr('field'), 
//              JSON.stringify(values)).stringify());
//    });
//
//});
//
