part of hud;


class Container {

      // STATIC

      // Initialize listeners and such
      static void initialize() {
          
      }
      
      
      //
      // INSTANCE
      
      Element el;
      
      
      Container(Element e) {
        el = e;
      }
      
      
      Container.fromSelector(String query) {
        el = querySelector(query);
      }
            
      Element getElement() {
        return el;
      }
      
      void fetch(String url, Function future) {

        showAsLoading();
        
        try {
        httpGet(url, null, (r) {

          if (r is HttpRequest) {
            querySelector('#page-container').setInnerHtml(r.response.toString(), treeSanitizer: allHtml);
            future();
          } else (print(r.toString()));
          
        }); } catch (e) { print('error fetching ' + url.toString()); }
         
      }
      
      
      showAsLoading() {
        el.innerHtml = 
            '<div class="loading-spinner"></div>';
      }
      

}



class NullTreeSanitizer implements NodeTreeSanitizer {
  const NullTreeSanitizer(allNodes);
  void sanitizeTree(Node node) {}
}

class NullNodeValidator implements NodeValidator {
  const NullNodeValidator();
  bool allowsElement(Element element) { return true; }
  bool allowsAttribute(Element element, String attributeName, String value) { return true; }
}

final allNodes = new NullNodeValidator();
final allHtml = new NullTreeSanitizer(allNodes);